### File

`packages/ecl/components/ecl-fact-figures/ecl-fact-figures-item.component.ts`

### Description

Component representing a single item within the Fact & Figures block. Optionally handles embedded icons and applies appropriate styling.

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit`

### Metadata

selector | `div[eclFactFiguresItem],ecl-fact-figures-item`
templateUrl | `./ecl-fact-figures-item.component.html`

### Index

###### Properties
eclIconComponents
###### Methods
getCssClasses
###### Inputs
eclTitle eclValue class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

eclTitle
Type : `string`

eclValue
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Applies the base class `ecl-fact-figures__item` to the host element.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclIconComponents
Type : `QueryList<EclIconComponent>`
Decorators : `@ContentChildren(EclIconComponent)`
Query for any EclIconComponent children projected into the component. These icons will receive an additional CSS class.

### Accessors

cssClasses
get `cssClasses()`
Applies the base class `ecl-fact-figures__item` to the host element. Returns : `string`

# results matching ""

# No results matching ""